Wireshark Multiple Denial of Service Vulnerabilities-01 August16 (Mac OS X)

2016-08-09T00:00:00
ID OPENVAS:1361412562310808286
Type openvas
Reporter Copyright (C) 2016 Greenbone Networks GmbH
Modified 2017-03-16T00:00:00

Description

This host is installed with Wireshark and is prone to multiple denial of service vulnerabilities.

                                        
                                            ###############################################################################
# OpenVAS Vulnerability Test
# $Id: gb_wireshark_mult_dos_vuln01_aug16_macosx.nasl 5588 2017-03-16 10:00:36Z teissa $
#
# Wireshark Multiple Denial of Service Vulnerabilities-01 August16 (Mac OS X)
#
# Authors:
# Rinu Kuriakose <krinu@secpod.com>
#
# Copyright:
# Copyright (C) 2016 Greenbone Networks GmbH, http://www.greenbone.net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# (or any later version), as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
###############################################################################

CPE = "cpe:/a:wireshark:wireshark";

if(description)
{
  script_oid("1.3.6.1.4.1.25623.1.0.808286");
  script_version("$Revision: 5588 $");
  script_cve_id("CVE-2016-6512", "CVE-2016-6513");
  script_bugtraq_id(92174, 92172);
  script_tag(name:"cvss_base", value:"4.3");
  script_tag(name:"cvss_base_vector", value:"AV:N/AC:M/Au:N/C:N/I:N/A:P");
  script_tag(name:"last_modification", value:"$Date: 2017-03-16 11:00:36 +0100 (Thu, 16 Mar 2017) $");
  script_tag(name:"creation_date", value:"2016-08-09 11:43:17 +0530 (Tue, 09 Aug 2016)");
  script_name("Wireshark Multiple Denial of Service Vulnerabilities-01 August16 (Mac OS X)");
  
  script_tag(name:"summary", value:"This host is installed with Wireshark
  and is prone to multiple denial of service vulnerabilities.");

  script_tag(name:"vuldetect", value:"Get the installed version with the
  help of detect NVT and check the version is vulnerable or not.");

  script_tag(name:"insight", value:"The multiple flaws are due to,
  - The 'epan/dissectors/packet-wap.c' script omits an overflow check in the 
    'tvb_get_guintvar' function.
  - The 'epan/dissectors/packet-wbxml.c' script does not restrict the recursion 
    depth.");

  script_tag(name:"impact", value:"Successful exploitation will allow remote
  attackers to conduct denial of service attack.

  Impact Level: Application");

  script_tag(name:"affected", value:"Wireshark version 2.0.x before 2.0.5
  on Mac OS X.");

  script_tag(name:"solution", value:"Upgrade to Wireshark version 2.0.5 or
  later.
  For updates refer to https://www.wireshark.org");

  script_tag(name:"solution_type", value:"VendorFix");

  script_tag(name:"qod_type", value:"executable_version");

  script_xref(name:"URL", value:"http://openwall.com/lists/oss-security/2016/07/28/3");
  script_xref(name:"URL", value:"https://www.wireshark.org/security/wnpa-sec-2016-48.html");
  script_xref(name:"URL", value:"https://www.wireshark.org/security/wnpa-sec-2016-49.html");

  script_category(ACT_GATHER_INFO);
  script_family("Denial of Service");
  script_copyright("Copyright (C) 2016 Greenbone Networks GmbH");
  script_dependencies("gb_wireshark_detect_macosx.nasl");
  script_mandatory_keys("Wireshark/MacOSX/Version");
  exit(0);
}

include("version_func.inc");
include("host_details.inc");

## Variable Initialization
wirversion = "";

## Get the version
if(!wirversion = get_app_version(cpe:CPE)){
  exit(0);
}

## Check the vulnerable version 
if(version_in_range(version:wirversion, test_version:"2.0.0", test_version2:"2.0.4"))
{
  report = report_fixed_ver(installed_version:wirversion, fixed_version:"2.0.5");
  security_message(data:report);
  exit(0);
}